package com.kmall.manager.service;

import com.kmall.manager.entity.SysRegionEntity;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *
 * @author Scott
 * @email
 * @date 2017-03-08 10:40:56
 */
@Service
public interface SysRegionService {

    SysRegionEntity queryObject(Long id);

    List<SysRegionEntity> queryList(Map<String, Object> map);

    int queryTotal(Map<String, Object> map);

    void save(SysRegionEntity regionEntity);

    void update(SysRegionEntity regionEntity);

    void delete(Long id);

    void deleteBatch(Long[] ids);
}
